<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/scrollContent"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fillViewport="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="15dp">
        
        <!-- 排名前3 -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:gravity="center_horizontal"
            android:orientation="horizontal">
            <!-- 第2名 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:layout_marginTop="18dp"
                android:layout_weight="1"
                android:orientation="vertical">
                <de.hdodenhof.circleimageview.CircleImageView
                    android:layout_width="67dp"
                    android:layout_height="67dp"
                    android:elevation="4dp"
                    android:src="@drawable/default_avatar"
                    app:civ_border_color="#DFF346"
                    app:civ_border_width="2dp" />


                <ImageView
                    android:id="@+id/backgroundImage"
                    android:layout_width="96dp"
                    android:layout_height="148dp"
                    android:layout_marginTop="-33dp"
                    android:adjustViewBounds="true"
                    android:elevation="1dp"
                    android:scaleType="fitXY"
                    android:src="@drawable/second_place" />

                <TextView
                    android:layout_width="60dp"
                    android:layout_height="28dp"
                    android:background="@drawable/round_bg_two"
                    android:gravity="center"
                    android:text="+"
                    android:textColor="#6EA0EB"
                    android:textSize="20dp"
                    android:textStyle="bold" />
            </LinearLayout>

            <!-- 第一名 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_horizontal"
                android:orientation="vertical">
                <de.hdodenhof.circleimageview.CircleImageView
                    android:layout_width="67dp"
                    android:layout_height="67dp"
                    android:elevation="4dp"
                    android:src="@drawable/default_avatar"
                    app:civ_border_width="2dp"
                    app:civ_border_color="#DFF346" />

                <ImageView
                    android:id="@+id/backgroundImage"
                    android:layout_marginTop="-33dp"
                    android:layout_width="96dp"
                    android:layout_height="148dp"
                    android:elevation="1dp"
                    android:src="@drawable/first_place"
                    android:scaleType="fitXY"
                    android:adjustViewBounds="true" />
                
                <TextView
                    android:layout_width="60dp"
                    android:layout_height="28dp"
                    android:gravity="center"
                    android:text="+"
                    android:textSize="20dp"
                    android:textStyle="bold"
                    android:textColor="#F0C729"
                    android:background="@drawable/round_bg_one" />
            </LinearLayout>
            
            <!-- 第三名 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:layout_marginTop="18dp"
                android:gravity="center_horizontal"
                android:orientation="vertical">
                <de.hdodenhof.circleimageview.CircleImageView
                    android:layout_width="67dp"
                    android:layout_height="67dp"
                    android:elevation="4dp"
                    android:src="@drawable/default_avatar"
                    app:civ_border_width="2dp"
                    app:civ_border_color="#DFF346" />

                <ImageView
                    android:id="@+id/backgroundImage"
                    android:layout_marginTop="-33dp"
                    android:layout_width="96dp"
                    android:layout_height="148dp"
                    android:elevation="1dp"
                    android:src="@drawable/third_place"
                    android:scaleType="fitXY"
                    android:adjustViewBounds="true" />
                

                <TextView
                    android:layout_width="60dp"
                    android:layout_height="28dp"
                    android:gravity="center"
                    android:text="+"
                    android:textSize="20dp"
                    android:textStyle="bold"
                    android:textColor="#FFD9C4"
                    android:background="@drawable/round_bg_three" />
            </LinearLayout>
        </LinearLayout>

        <!-- 排名靠后 -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:minHeight="1000dp"
            android:layout_gravity="center_horizontal"
            android:gravity="center_horizontal"
            android:orientation="horizontal">
            <!-- 内容卡片 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="90dp"
                android:layout_marginTop="20dp"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="10dp"
                    android:layout_weight="1"
                    android:text="4"
                    android:textSize="14sp"
                    android:textColor="#1B1F1A"
                    />

                <de.hdodenhof.circleimageview.CircleImageView
                    android:layout_width="67dp"
                    android:layout_height="67dp"
                    android:layout_weight="1"
                    android:layout_marginEnd="10dp"
                    android:elevation="4dp"
                    android:src="@drawable/default_avatar"/>

                <LinearLayout
                    android:layout_width="140dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">
                    <TextView
                        android:layout_width="140dp"
                        android:layout_height="wrap_content"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:text="NameNameNameNameNameNameNameNameNameNameName"
                        android:textStyle="bold"
                        android:textSize="16sp"
                        android:textColor="#1B1F1A" />

                    <TextView
                        android:layout_width="140dp"
                        android:layout_height="wrap_content"
                        android:ellipsize="end"
                        android:maxLines="2"
                        android:text="nullnullnullnullnullnullnullnullnullnullnullvnullnullnullnullnull"
                        android:textSize="12sp"
                        android:textColor="#9A9A9A" />
                </LinearLayout>

                <TextView
                    android:layout_width="56dp"
                    android:layout_height="38dp"
                    android:gravity="center"
                    android:layout_weight="1"
                    android:text="+"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    android:textColor="#02BEAC"
                    android:background="@drawable/round_bg_others" />
            </LinearLayout>
        </LinearLayout>
        
    </LinearLayout>
</androidx.core.widget.NestedScrollView>
